ngircd(8)

NAME
ngIRCd - the "next generation" IRC daemon

SYNOPSIS
ngircd [ Options ]

DESCRIPTION
ngIRCd is a free, portable and lightweight Internet Relay Chat (IRC) server for small or private networks, developed under the GNU General Public License (GPL).

The server is quite easy to configure and runs as a single-node server or can be part of a network of ngIRCd servers in a LAN or across the internet. It optionally supports the IPv6 protocol, SSL/TLS-protected client-server and server-server links, the Pluggable Authentication Modules (PAM) system for user authentication, IDENT requests, and character set conversion for legacy clients.

The name ngIRCd stands for next-generation IRC daemon, which is a little bit exaggerated: lightweight Internet Relay Chat server most probably would have been a better name :-)

By default ngIRCd logs diagnostic and informational messages using the syslog mechanism, or writes directly to the console when running in the foreground (see below).

OPTIONS
The default behavior of ngircd is to read its optional standard configuration file (see below), to detach from the controlling terminal and to wait for clients.

You can use these options to modify this default:

-f file, --config file
    Use file as configuration file.

    You can use /dev/null to force ngIRCd to ignore its standard configuration file, which will disable the built-in value of the IncludeDir configuration option, too.

-n, --nodaemon
    Don't fork a child and don't detach from controlling terminal. All log messages go to the console and you can use CTRL-C to terminate the server.

-p, --passive
    Disable automatic connections to other servers. You can use the IRC command CONNECT later on as IRC Operator to link this ngIRCd to other servers.

-y, --syslog
    Write log messages to the syslog even when running in the foreground. This only makes sense when -n/--nodaemon was given on the command line before this option!

The following options prevent ngIRCd from starting regularly, but perform a specific action and then exit the daemon again:

-h, --help
    Display a brief help text and exit.

-t, --configtest
    Read, validate and display the configuration; then exit.

-V, --version
    Output version information and exit.

FILES
/etc/ngircd/ngircd.conf
    The system wide default configuration file.
/etc/ngircd/ngircd.motd
    Default "message of the day" (MOTD).

SIGNALS
The daemon understands the following signals:

TERM
    Shut down all connections and terminate the daemon.

HUP Shut down all listening sockets, re-read the configuration file and re-initialize the daemon.

HINTS
It is always wise to use "ngircd --configtest" to validate the configuration of ngIRCd after making changes to the configuration files!

DEBUGGING
ngIRCd can log additional debug messages, which can be enabled with the command line option --debug (-d) or by sending the USR1 signal to the running daemon. Some of those messages may leak personal information, be very technical and can be very verbose. Therefore the debug mode is meant for troubleshooting only and should definitely be disabled during normal operation!

In addition, a "protocol sniffer" can be enabled on build time by passing the "--enable-sniffer" option to the ./configure script which enables the "--sniffer" (-s) command line option (which is not available by default): this "sniffer" logs all incoming and outgoing IRC commands on all connections, which can be handy to debug problems with the daemon itself or IRC clients.

Both modes are indicated in the version string shown by the IRC "VERSION" command: if the version ends in a dot (like in "26.1."), the daemon operates in "normal" mode (the version used in the example is "26.1"). If it ends in ".1" (like in "26.1.1") the "debug-mode" is enabled; and if it ends in ".2" (like in "26.1.2") the "IRC sniffer" is enabled, too.

Options:

-d, --debug
    Enable debug mode and log extra messages.

-s, --sniffer
    Enable IRC protocol sniffer, which logs all sent and received IRC commands to the console/syslog. This option requires that ngIRCd has been ./configure'd with "--enable-sniffer" and enables debug mode automatically, too.

Signals:

Note: Usage of these signals is broadcasted to all users with the +s ("receive server notices") mode set!

USR1
    Toggle debug mode on and off during runtime.

USR2
    Dump internal server state to the console/syslog when debug mode is on (use command line option --debug or signal USR1).

AUTHORS
Alexander Barton, <alex@barton.de>
Florian Westphal, <fw@strlen.de>

Homepage: http://ngircd.barton.de/

SEE ALSO
ngircd.conf(5), ircd(8)